WMTOP(1)

NAME
wmtop - WindowMaker dockapp

SYNOPSIS
wmtop [-c command] [-U] [-x regexp] [-m]

DESCRIPTION
wmtop displays the CPU or physical memory (under Linux only) usage of the top three processes. These may be refined by user supplied criteria, either via the command line or by clicking on the application.

OPTIONS
While running a left click alternates between CPU and memory display. A right click launches the application specfied at the command line. Middle clicking changes between displaying all and user only processes.

-v  Displays program version.

-geometry
    The standard X geometry specifications. Only X and Y position requests are honoured. Any height and width specifications will be ignored.

-display
    Specify an X server other than the local display.

-U  Displays processes only owned by the user.

-c command
    Execute command when application is right clicked.

-x regexp
    Exclude processes whose name matches the given regular expression. The regular expression need only match part of the process name. Use '^' to mean the start of the name and '$' to mean the end.

-m  Show memory usage rather than CPU usage on start-up.

-a theme
    Choose an artisitc style or theme for wmtop to use.

-s  Set interval between process samples in milliseconds.

-r  Set interval between screen updates in milliseconds.

EXAMPLES
Monitor only users processes, exclude WindowMaker dock apps and pop up xps when double clicked:

    wmtop -c xps -U -x '^wm'

where we assume dock apps all have names starting with 'wm'.

BUGS
Please report any bugs you may find to:

wmtop-bugs@tanelorn.demon.co.uk

AUTHOR
Dan Piponi <dan@tanelorn.demon.co.uk>

http://www.tanelorn.demon.co.uk

http://wmtop.sourceforge.net

SEE ALSO
top(1)